
From: Ingo Molnar <mingo@elte.hu>

make it compile on x86 with !REGPARM (default):

Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/mm/pgtable.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/mm/pgtable.c~4level-architecture-changes-for-i386-fix arch/i386/mm/pgtable.c
--- 25/arch/i386/mm/pgtable.c~4level-architecture-changes-for-i386-fix	Fri Nov  5 15:49:54 2004
+++ 25-akpm/arch/i386/mm/pgtable.c	Fri Nov  5 15:49:54 2004
@@ -221,7 +221,7 @@ void pgd_dtor(void *pgd, kmem_cache_t *c
 	spin_unlock_irqrestore(&pgd_lock, flags);
 }
 
-pgd_t *__pgd_alloc(struct mm_struct *mm, pml4_t *pml4, unsigned long address)
+pgd_t fastcall *__pgd_alloc(struct mm_struct *mm, pml4_t *pml4, unsigned long address)
 {
 	int i;
 	pgd_t *pgd = kmem_cache_alloc(pgd_cache, GFP_KERNEL);
_
